import java.awt.*;
import java.awt.image.*;
import sun.awt.image.IntegerInterleavedRaster;


class NoClassDefFoundErrorTest
{
    private static final int SIZE_X = 10;
    private static final int SIZE_Y = 10;
    
    public BufferedImage createBufferedImage(int[] buf, int sizeX, int sizeY)
    {
        System.out.println("DataBufferInt and DataBuffer");
        // First wrap the packed integer array with a Java2D buffer
        DataBuffer j2DBuf = new DataBufferInt(buf, sizeX * sizeY, 0);

        System.out.println("SinglePixelPackedSampleModel");
        // Create a sample model which supplies the bit masks for each colour
        // component.
        SinglePixelPackedSampleModel sampleModel =
            new SinglePixelPackedSampleModel(
                DataBuffer.TYPE_INT, sizeX, sizeY, sizeX, new int[] {
                        0x00ff0000, // Red
                        0x0000ff00, // Green
                        0x000000ff, // Blue
                        // 0xff000000 // Alpha
            });

        System.out.println("WritableRaster, IntegerInterleavedRaster and Point");
        // Now create a compatible raster which wraps the Java2D buffer and is
        // told how to get to the pixel data by the sample model.
        WritableRaster raster = new IntegerInterleavedRaster(sampleModel,
                j2DBuf, new Point(0, 0));

        System.out.println("ColorModel, DirectColorModel and BufferedImage");
        // Finally create a screen accessible colour model and wrap the raster
        // in a buffered image.
        ColorModel colorModel = new DirectColorModel(24, 0x00ff0000, // Red
                0x0000ff00, // Green
                0x000000ff // Blue
        // 0xff000000 // Alpha
        );
        BufferedImage image = new BufferedImage(colorModel, raster, false, null);

        System.out.println("Returning buffered image...");
        return image;
    }
    
    public static void main(String[] argv)
    {
        NoClassDefFoundErrorTest t = new NoClassDefFoundErrorTest();

        int[] buffer = new int[SIZE_X * SIZE_Y];
        t.createBufferedImage(buffer, SIZE_X, SIZE_Y);
        System.out.println("Exiting...");
    }
}
